@media screen and (max-width: 1660px){
	.container {max-width: 90% !important;}
	.featured-products button.splide__arrow.splide__arrow--prev {left: -50px;}
	.featured-products button.splide__arrow.splide__arrow--next {right: -50px;}
	.featured-products button.splide__arrow {height: 40px;width: 40px;}
	.header-inner .container #logo a img {max-width: 200px;}
}

@media screen and (max-width: 1550px){
	.separator::before {width: 80%;}
	/* section.home_banner .home_banner_image {object-fit: contain;height: 100% !important;width: auto !important;} */
	.home_banner_content {padding: 230px 0 130px;}
	section.home_banner {padding: 30px 0 0;background-color: #f6f5f1;}
	.product-categories .category-item a img {width: 100%;}
	.home_banner_content h1 {font-size: 55px;}
	.home_banner_content p {font-size: 25px;}
	section.group-of-facility {padding: 35px 0;}
	footer.main-footer {gap: 110px;}
	section.home_banner .home_banner_image {width: 90% !important;height: auto !important;right: 0;bottom: 0;}

	/* Product Single Page */
	.single-product .product.type-product .woocommerce-product-gallery {max-width: 50%;}
	.single-product .product.type-product .container {justify-content: space-between;}
	.overview.product-section {max-width: 90%;}
	section.product-section.woocommerce-tabs > #reviews {max-width: 90%;}
}

@media screen and (max-width: 1450px){
	
}

@media screen and (max-width: 1380px){
	.home_banner_content {padding: 150px 0 100px;}
	section.shop-by_category h2 , section.bestsellers h2, .simple-steps h2, section.best-option .row h2 {font-size: 40px;}
	section.shop-by_category h2 {margin: 40px 0;}
	section.bestsellers h2 {margin: 60px 0 50px;}
	section.bestsellers {padding: 0 0 70px;}
	section.simple-steps {padding: 60px 0 80px;}
	.simple-steps h2 {margin: 0 0 30px;}
	section.simple-steps .container {gap: 30px;}
	section.best-option {padding: 80px 0;}
	footer.main-footer {padding: 80px 0;gap: 70px;}
}

@media screen and (max-width: 1300px){
	footer.main-footer .row ul {gap: 5px 30px;}
	footer.main-footer .row select {padding: 15px 150px 15px 30px;}
	footer.main-footer .row h4 {margin: 0 0 25px;}
}

@media screen and (max-width: 1200px){
	.header-inner .container .main-menu ul {gap: 25px;}
	.header-inner .container #logo a img {max-width: 170px;}
	.header-inner .container .main-menu ul li a {font-size: 14px;}
	.header-inner .container .main-menu a.header-btn {font-size: 14px;padding: 15px 20px;gap: 10px;}
	.home_banner_content h1 {font-size: 45px;}
	.home_banner_content p {font-size: 20px;}
	a.primary_button {font-size: 16px;padding: 13px 35px;max-width: 210px;}
	.product-categories .category-item h3 {top: 20px;}
	section.best-option .row {flex-direction: column-reverse;gap: 60px;}
	section.best-option .row .col-right img {height: 500px !important;}
	section.best-option .row .col-left {max-width: 100%;}



}

@media screen and (max-width: 1050px){
	
	/* Product Single Page */
	.single-product .product.type-product {margin: 100px auto 0;}
	.single-product .product.type-product .container {flex-direction: column;}
	.single-product .product.type-product .woocommerce-product-gallery {max-width: 100%;margin-bottom: 0;flex-direction: column;}
	.single-product .product.type-product .woocommerce-product-gallery ol.flex-control-nav.flex-control-thumbs {flex-direction: row;}
	.single-product .product.type-product .woocommerce-product-gallery ol.flex-control-nav.flex-control-thumbs li {margin-right: 15px;}
	.single-product .product.type-product .summary.entry-summary {width: 100%;}
	.buy-protection {margin: 30px 0 0;}
	.overview.product-section {gap: 100px;}
	section.product-section.woocommerce-tabs > #reviews {gap: 100px;}


}

@media screen and (max-width: 1000px){
section.group-of-facility ul.facility-list {display: grid;grid-template-columns: repeat(6, 1fr);gap: 50px;justify-items: center;}	
section.group-of-facility ul.facility-list li:nth-child(1), section.group-of-facility ul.facility-list li:nth-child(2), section.group-of-facility ul.facility-list li:nth-child(3) {grid-column: span 2;}
section.group-of-facility ul.facility-list li:nth-child(4) {grid-column: 2 / span 2;}
section.group-of-facility ul.facility-list li:nth-child(5) {grid-column: 4 / span 2;}
footer.main-footer .row {flex-wrap: wrap;justify-content: flex-start;gap: 60px 0;}
footer.main-footer .row .col {flex: 0 0 calc(50% - 15px);max-width: calc(50% - 15px);}
footer.main-footer .row .col:nth-child(1) {order: 1;display: flex;align-items: center;}
footer.main-footer .row .col:nth-child(2) {order: 3;}
footer.main-footer .row .col:nth-child(3) {order: 2;}
footer.main-footer .row .col:nth-child(4) {order: 4;}
.footer-bottom .container {flex-direction: column;gap: 20px;}
.footer-social {gap: 60px;}


}




@media(max-width: 800px){
	.mobile.toggle-terget {display: block;}
	.mobile-display-block{display: block;}
	.mobile-display-none{display: none;}
	.mobile.toggle-terget {display: block;margin-left: 0;margin-right: 20px;}
	.overflow{overflow: hidden;height: 100vh;}

	.toggle-terget{display: block;/*float: right;*/margin: 3px 0 0 0;height: 18px;}


	input#menu1 {display: none;}
	
	label.toggle-menu {position: relative;width: 20px;height: 13px;display: inline-block;cursor: pointer;transition: all .5s;text-align: left;z-index: 9999;margin-bottom: 0;}
	
	.toggle-menu div,
	.toggle-menu div:before,
	.toggle-menu div:after {
		background: var(--primary-button-hover-color);position: absolute;height: 2px;width: 20px;border-radius: 0;transition: all .5s;}
	/*.toggle-menu.active div, 
	.toggle-menu.active div:before, 
	.toggle-menu.active div:after{
		background: #fff;
	}*/

	.toggle-menu.open div, .toggle-menu.open div::before, .toggle-menu.open div::after {background: var(--primary-white);}
	label.toggle-menu div:first-child {top: 0px;}
	label.toggle-menu div:nth-child(2) {top: 5px;}
	label.toggle-menu div:nth-child(3) {top: 10px;}
	#menu1:checked + label div:first-child {opacity: 0;top: 20px;width: 0px;-webkit-transform: rotate(225deg);transform: rotate(225deg);}
	#menu1:checked + label div:nth-child(2) {top: 5px;-webkit-transform: rotate(-315deg);transform: rotate(-315deg);width: 20px;}
	#menu1:checked + label div:nth-child(3) {top: 5px;-webkit-transform: rotate(495deg);transform: rotate(495deg);width: 20px;}

.menu-primary-menu-container {transition: all 0.5s ease;position: absolute;left: 0;z-index: 1;left: -100%;height: 100%;background: var(--primary-button-color);width: 75%;top: 0;align-items: flex-start;justify-content: center;display: flex;}

.main-menu .menu-primary-menu-container > ul {flex-direction: column;margin: 60px 0 0;width: 100%;}
	.menu-primary-menu-container.show{left: 0;box-shadow: 0 0 0 100vw rgba(0,0,0,0.5);transition: all 0.5s ease;z-index: 2;}
	
	.menu-primary-menu-container ul li{width: 100%;margin-left: 0;border-bottom: 1px solid rgba(255,255,255,0.2);}
	.menu-primary-menu-container ul li:last-child {border-bottom: none;}
	.menu-primary-menu-container ul li a {color: var(--primary-white) !important;display: block;padding: 14px 30px;margin: 0;}
	.menu-primary-menu-container ul li a:hover {color: var(--primary-white);background: var(--menu-font-color);}
	.main-menu .menu-primary-menu-container > ul {gap: 0;}
}

@media screen and (max-width: 800px){

    .header-inner .container{ display:flex;align-items:center;justify-content:space-between;position:relative;}
    .mobile-toggle{display:flex;flex-direction:column;justify-content:center; gap:6px;width:32px;height:32px;cursor:pointer;position:relative;z-index:10001;}
    .mobile-toggle span{display:block;width:100%;height:2px;background:#222;transition:.3s ease;transform-origin:center;}
	.main-menu{position: fixed;top: 0;left: -100%;width: 320px;max-width: 85%;height: 100vh;background: #f6f5f1;padding: 100px 30px 30px;box-shadow: -5px 0 20px rgba(0,0,0,.15);transition: left .35s ease;z-index: 9999;overflow-y: auto;flex-direction: column !important;}
	.header-inner .container .main-menu ul {flex-direction: column;align-items: center;text-align: center;}
    .main-menu.active{left:0;}
    .main-menu ul{display:flex !important;flex-direction:column;gap:25px;padding:0;margin:0;}
    .main-menu ul li{width:100%;list-style:none;}.main-menu ul li a{display:block;font-size:18px;}
    .main-menu .header-btn{display:none;}
    body.menu-open .mobile-toggle span:nth-child(1){transform:rotate(45deg) translate(6px,6px);}
    body.menu-open .mobile-toggle span:nth-child(2){opacity:0;}
    body.menu-open .mobile-toggle span:nth-child(3){transform:rotate(-45deg) translate(5px,-6px);}
	.mobile-toggle {display: flex;flex-direction: column;justify-content: center;gap: 6px;width: 22px;height: 22px;cursor: pointer;position: relative;z-index: 10001;}
	.mobile-toggle span {display: block;width: 100%;height: 2px;background: #222;transition: all .3s ease;}
	.mobile-toggle.active span:nth-child(1) {transform: rotate(45deg) translate(6px, 6px);}
	.mobile-toggle.active span:nth-child(2) {opacity: 0;}
	.mobile-toggle.active span:nth-child(3) {transform: rotate(-45deg) translate(6px, -6px);}
	.header-inner .container #logo a img {max-width: 130px;}

	.home_banner_content p {font-size: 17px;}
	.home_banner_content h1 {font-size: 40px;}
	section.home_banner .home_banner_image {object-fit: none;}
	a.primary_button {padding: 10px 25px;justify-content: center;}
	section.group-of-facility ul.facility-list {gap: 20px 50px;}
	section.group-of-facility ul.facility-list li {gap: 20px;}
	section.group-of-facility {padding: 25px 0;}
	section.group-of-facility ul.facility-list li p {line-height: 1;font-size: 14px;}
	.product-categories {gap: 25px;display: grid;grid-template-columns: 1fr 1fr;}
	.featured-products ul.splide__pagination.splide__pagination--ltr {bottom: -40px;}
	.featured-products ul.splide__pagination.splide__pagination--ltr button.splide__pagination__page.is-active {background-color: #fb9600;}
	.featured-products ul.splide__pagination.splide__pagination--ltr button.splide__pagination__page {background-color: #ffb57a;}
	section.shop-by_category h2, section.bestsellers h2, .simple-steps h2, section.best-option .row h2 {font-size: 30px;}
	ul.simple-steps-list {display: grid;grid-template-columns: 1fr 1fr;}
	ul.simple-steps-list img {margin: 0 0 10px;}
	.separator {margin: 0 0 10px;}
	ul.simple-steps-list li h3 {font-size: 18px;margin: 0 0 10px;}
	section.best-option .row ul li {padding-left: 50px;font-size: 18px;}
	section.best-option .row ul {grid-template-columns: 1fr;gap: 30px;padding: 30px 0;}
	section.best-option .row ul li::before {height: 30px;width: 30px;top: -5px;}
	section.best-option .row .col-right img {height: 430px !important;}
	a.primary_button {font-size: 14px;}

	footer.main-footer .row ul {flex-direction: row;flex-wrap: wrap;align-items: center;justify-content: center;gap: 10px 50px;display:flex;}
	footer.main-footer .row .col {flex: none;max-width: 100%;align-items: center;justify-content: center;display: flex;flex-direction: column;}
	footer.main-footer .row h4 {margin: 0 0 10px;}

	footer.main-footer .row {display: flex;flex-direction: column;align-items: center;}

	.single-product .product.type-product .woocommerce-product-gallery ol.flex-control-nav.flex-control-thumbs li img {max-width: 70px !important;}

	.product-nav {gap: 40px;margin: 50px 0 10px;}
	.product-nav a {font-size: 18px;}

	table.specifications tbody tr th, table.specifications tbody tr td {display: block;padding: 0;border: none;text-align: center;}
	table.specifications tbody tr {border: 1px solid #ddd;display: block;width: 60%;margin: 0 auto 20px;padding: 15px;border-radius: 10px;}	
	ul.spefications_details {list-style-type: none;}
	table.specifications {border-top: none;}

	section#product-showcase {padding-top: 50px;}
	#product-showcase .container h2 {font-size: 28px;margin: 35px 0;text-align: center;}


	.overview.product-section {flex-direction: column;gap: 30px;padding-top: 70px;}
	.overview.product-section h2 {font-size: 28px;text-align: center;}
	.overview.product-section ul.spefications_details li {text-align: center;padding-bottom: 30px;}

	section.product-section.woocommerce-tabs > #reviews {gap: 30px;flex-direction: column;}
	section.product-section.woocommerce-tabs > #reviews h2 {text-align: center;}
	.woocommerce-Reviews #comments {max-width: 100%;margin: 0 auto 20px;}
	.woocommerce-Reviews #comments .woocommerce-Reviews-title {text-align: left !important;}
	.woocommerce-Reviews #review_form_wrapper form p.comment-form-author {flex-basis: auto;max-width: 100%;margin-right: 0;}
	.woocommerce-Reviews #review_form_wrapper form p.comment-form-email {flex-basis: auto;max-width: 100%;}


}


@media screen and (max-width: 700px){

}


@media screen and (max-width: 600px){

	section.group-of-facility ul.facility-list {grid-template-columns: 1fr 1fr;gap: 20px;}
	section.group-of-facility ul.facility-list li:nth-child(1), section.group-of-facility ul.facility-list li:nth-child(2), section.group-of-facility ul.facility-list li:nth-child(3) {grid-column: auto;}
	section.group-of-facility ul.facility-list li:nth-child(4) {grid-column: auto;}
	section.group-of-facility ul.facility-list li:nth-child(5) {grid-column: span 2;justify-self: center;}
	.product-categories {grid-template-columns: 1fr;}
	.product-categories .category-item {display: flex;align-items: center;justify-content: center;width: 70%;margin: 0 auto;}
	.product-categories .category-item a {display: flex;align-items: center;justify-content: center;}
	ul.simple-steps-list {grid-template-columns: 1fr;}
	.footer-social {flex-direction: column;gap: 15px;}
	footer.main-footer {padding: 40px 0;gap: 50px;}
	section.best-option {padding: 50px 0;}
	section.best-option .row {gap: 40px;}
	section.simple-steps {padding: 40px 0 50px;}
	section.simple-steps .container {gap: 15px;}
	section.bestsellers h2 {margin: 30px 0;}
	section.shop-by_category h2 {margin: 30px 0;}
	.home_banner_content {padding: 90px 0 100px;}
	.home_banner_content h1 {font-size: 35px;}
	section.shop-by_category h2, section.bestsellers h2, .simple-steps h2, section.best-option .row h2 {font-size: 25px;}
	.product-categories .category-item h3 {top: 30px;}
	section.best-option .row p {font-size: 15px;}
	section.best-option .row .col-right img {height: auto !important;width: auto !important;max-width: 90% !important;}
	section.best-option .row .col-right {display: flex;justify-content: center;}

	

	.product-nav {margin: 50px auto 10px;max-width: 90%;overflow: scroll;padding: 0 0 5px;justify-content: flex-start;}
	.product-nav a{white-space: nowrap;}

	.single-product .product.type-product .woocommerce-product-gallery ol.flex-control-nav.flex-control-thumbs li img {max-width: 40px !important;}
	.single-product .product.type-product .woocommerce-product-gallery ol.flex-control-nav.flex-control-thumbs li {padding: 5px;}


	.variations td.value .cfvsw-swatches-container.cfvsw-product-container[swatches-attr="attribute_internal-storage"] .cfvsw-swatches-option {min-width: 100px !important;   max-width: 100px !important;}
	.variations td.value .cfvsw-swatches-container.cfvsw-product-container[swatches-attr="attribute_condition-selection"] .cfvsw-swatches-option {min-width: 100px !important;   max-width: 100px !important;}
	.single-product .product.type-product > .container {padding: 0;}


	footer.main-footer .row ul {flex-direction: column;}

	table.specifications th {font-size: 16px;}
	ul.spefications_details {font-size: 14px;}
	#product-showcase .container h2 {font-size: 25px;margin: 25px 0;}
	.overview.product-section h2 {font-size: 25px;}
	.overview.product-section {padding-top: 30px;}
	.overview.product-section ul.spefications_details li {gap: 10px;}
	.overview.product-section ul.spefications_details li p {font-size: 14px;}
	section.product-section.woocommerce-tabs > #reviews h2 {font-size: 25px;}
	




	
}


@media screen and (max-width: 550px){
	h1.product_title.entry-title {font-size: 25px !important;}
	.buy-protection ul li img {height: 30px;}
	.buy-protection ul li span {font-size: 13px;}
	.buy-protection ul li {gap: 10px;}
	.single-product .product.type-product .summary.entry-summary {margin-bottom: 30px;}

	.variations td.value .cfvsw-swatches-container.cfvsw-product-container[swatches-attr="attribute_internal-storage"] {max-width: 100%;overflow: scroll;padding-bottom: 10px;}
	.variations td.value .cfvsw-swatches-container.cfvsw-product-container[swatches-attr="attribute_condition-selection"] {max-width: 100%;overflow: scroll;padding-bottom: 10px;}


	table.specifications tbody tr {width: 100%;}


	.variations td.value {max-width: 450px;}

	.comment-form-author input , .comment-form-email input{height: 40px ;}
	.comment-form-author label , .comment-form-email label{font-size: 16px !important;}
	.woocommerce-Reviews #review_form_wrapper form p.comment-form-author {margin-bottom: 0;}
	.comment-form > p.comment-form-cookies-consent label {font-size: 14px;}
	.comment-form-cookies-consent input {height: 20px;width: 20px;}
}



@media screen and (max-width: 500px){

}


@media screen and (max-width: 450px){
.variations td.value {max-width: 360px;}
}



@media screen and (max-width: 400px){


	.variations td.value {max-width: 320px;}
}